Lone Wolf Development Forums  

Go Back   Lone Wolf Development Forums > Hero Lab Forums > HL - User Projects

Notices

Reply
 
Thread Tools Display Modes
Kairos
Senior Member
Volunteer Data File Author
 
Join Date: Feb 2009
Posts: 173

Old February 14th, 2014, 08:49 PM
GURPS Lite
Data files for Hero Lab 5.0
(Authoring Kit required to save and print generated content)

What is this?
These data files allow you to use Hero Lab to generate GURPS Lite characters. I often use this stripped-down version of GURPS Fourth Edition for one shots and the like.

Why do data files for GURPS Lite and not normal GURPS?
Two reasons: time and energy. GURPS Lite kept this project well-scoped (since I'm doing this in my spare time). To tackle the full version of GURPS is beyond my resources right now. But, my hope is that someone (or a group) might use these data files as a base to build upon.

A base to build upon? This means you produced clean, well-commented code, right?
Not so much. This is a solo hobby project, and represents a fair bit of stumbling and learning. I'll be cleaning up as I go along. Promise.

What's next?
Right now, this sucker just needs some folks to kick the tires and test it out for horrible bugs and errors and make suggestions for improvements. Output is fairly solid (again, feedback is needed): both the character sheet and statblock. There is no advancement at the moment (since there is none in the GURPS Lite document).

How do I get it?
Add this url as a new source in the updates window of Hero Lab:
GURPS Lite v0.4

Last edited by Kairos; April 9th, 2014 at 06:53 PM.
Kairos is offline   #1 Reply With Quote
Kairos
Senior Member
Volunteer Data File Author
 
Join Date: Feb 2009
Posts: 173

Old February 18th, 2014, 07:14 PM
If anyone wants to have a look at the data files, here is the source to add in your Hero Lab updates dialog.

Still working on it (a lot of advantages/disadvantages don't "work" yet, clean up needs doing, editor is not complete, etc), but would welcome any feedback.

Thanks!
Kairos is offline   #2 Reply With Quote
dartnet
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2007
Posts: 566

Old February 18th, 2014, 07:49 PM
You rock sir!
dartnet is offline   #3 Reply With Quote
dartnet
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2007
Posts: 566

Old February 18th, 2014, 07:56 PM
First Bug report.

-<errors>


-<depends priority="5000" phase="Setup" name="Thing adEnhDodge: Eval Script #1">

<after priority="4100" phase="Traits" name="Thing trDodge: Calc Initial Dodge"/>

</depends>

</errors>
dartnet is offline   #4 Reply With Quote
Kairos
Senior Member
Volunteer Data File Author
 
Join Date: Feb 2009
Posts: 173

Old February 19th, 2014, 04:35 AM
Quote:
Originally Posted by dartnet View Post
First Bug report.

-<errors>


-<depends priority="5000" phase="Setup" name="Thing adEnhDodge: Eval Script #1">

<after priority="4100" phase="Traits" name="Thing trDodge: Calc Initial Dodge"/>

</depends>

</errors>
That was fast!

Heh. Serves me right for pushing this out late at night. :P Anyway, fixed.

Last edited by Kairos; February 19th, 2014 at 04:42 AM.
Kairos is offline   #5 Reply With Quote
dartnet
Senior Member
Volunteer Data File Contributor
 
Join Date: Jan 2007
Posts: 566

Old February 19th, 2014, 08:12 PM
That what I do.
dartnet is offline   #6 Reply With Quote
Kairos
Senior Member
Volunteer Data File Author
 
Join Date: Feb 2009
Posts: 173

Old February 20th, 2014, 04:44 AM
Quote:
Originally Posted by dartnet View Post
That what I do.
That's what I'm looking for! Thanks!
Kairos is offline   #7 Reply With Quote
jbearwillis
Senior Member
 
Join Date: Dec 2009
Location: Independence, Mo
Posts: 725

Old February 21st, 2014, 07:57 PM
I don't know if this is happen to any one else, but I just downloaded the latest update and no matter what I do it still shows that I need to download and update the file. Just thought I would let you know, other then that - it's working great. Awesome job on your file.
Thanks Jbear
jbearwillis is offline   #8 Reply With Quote
Kairos
Senior Member
Volunteer Data File Author
 
Join Date: Feb 2009
Posts: 173

Old February 22nd, 2014, 04:51 AM
Quote:
Originally Posted by jbearwillis View Post
I don't know if this is happen to any one else, but I just downloaded the latest update and no matter what I do it still shows that I need to download and update the file. Just thought I would let you know, other then that - it's working great. Awesome job on your file.
Thanks Jbear
You know I realize I didn't update the data files since the recent HL update. I'll try that later today. Thanks for the feedback!

Authoring Kit Rule Sets (now with functioning links!):

Qin: The Warring States

Doctor Who: Adventures in Time and Space

MEGS/BoH/DC Heroes (work in progress)
Kairos is offline   #9 Reply With Quote
Mathias
Senior Member
Lone Wolf Staff
 
Join Date: May 2005
Posts: 12,582

Old February 22nd, 2014, 06:38 AM
Normally, the error about needing to update again after installing the update happens if the version number in the upload xml isn't identical to the version listed in the <release> element of the definition.def in the file.
Mathias is offline   #10 Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -8. The time now is 01:52 AM.


Powered by vBulletin® - Copyright ©2000 - 2019, vBulletin Solutions, Inc.
wolflair.com copyright ©1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.